\section{High-Level Object Syntax}

The syntax for ``high-level'' object-oriented programming extends the
basic syntax as follows.  See~\cite{PierceTurner92} for more discussion.
\finishlater{Write some text!!}

\begin{verbatim}
topitem  ::=
    ...
  | classdecl                    
  | type_id "=" objecttype 

term  ::=
    ...
  | atom "@" id "=" term      
  | atom "@" id                

objecttype  ::=
    "objecttype" "(" type_id ")" "with" [id ("," id)*] "end"

classdecl  ::=
    "class" id ":" type_id ["from" id ":" type_id] = 
    ["vars" id ":" tp "=" term ("," id ":" tp "=" term)*]
    ["inherit" id ("," id)*]
    ["virtual" id ("," id)*]
    "with" id "=" term ("," id "=" term)* 
    "end"
\end{verbatim}